Bug 857647 - Onda MW875UP proposed patch
Summary: Onda MW875UP proposed patch
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: usb_modeswitch-data
Version: 17
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Huzaifa S. Sidhpurwala
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-09-15 13:10 UTC by Germano Massullo
Modified: 2013-08-01 00:50 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-01 00:50:36 UTC
Type: Bug


Attachments (Terms of Use)

Description Germano Massullo 2012-09-15 13:10:37 UTC
Description of problem:
This is the first time I propose an improvement to Fedora developers.
On Fedoraonline.it we managed to work the USB HSDPA device Onda MW875UP.
In order to do that you have to:

add to /etc/usb_modeswitch.d/1ee8:0054 the following code:

# Onda MW875UP-K
DefaultVendor= 0x1ee8
DefaultProduct=0x0054
TargetVendor= 0x1ee8
TargetProduct= 0x0053
CheckSuccess=20
MessageContent="555342431234567800000000000010ff000000000000000000000000000000"
NeedResponse=1

add at the bottom of /lib/udev/rules.d/40-usb_modeswitch.rules the following code:
# Onda MW875UP-K
ATTRS{idVendor}=="1ee8", ATTRS{idProduct}=="0054", RUN+="usb_modeswitch '%b/%k'"



Additional info:
Kernel 3.5.3-1.fc17
(Not necessary) topic on Fedoraonline.it: (I suggest http://itranslate4.eu/ to do translations from Italian)
http://forum.fedoraonline.it/viewtopic.php?pid=190386

Comment 1 Mario Santagiuliana 2012-09-15 13:16:51 UTC

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 2 Germano Massullo 2013-01-01 10:30:32 UTC
The ONDA MW875UP device is correctly reconnized in fresh Fedora 18 installations. Can we close the bugreport? Has the proposed patch been usefull?

Comment 3 Fedora End Of Life 2013-07-03 22:44:48 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2013-08-01 00:50:39 UTC
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.